# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CDATASection Class Reference

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup. More...

`#include <dom_xml.h>`

Inheritance diagram for DOM::CDATASection:

[legend]
Collaboration diagram for DOM::CDATASection:

[legend]
List of all members.

## Public Member Functions

| CDATASection (const CDATASection &other)
| CDATASection (const Node &other)
CDATASection & | operator= (const Node &other)
CDATASection & | operator= (const CDATASection &other)

## Protected Member Functions

| CDATASection (CDATASectionImpl *i)

## Friends

class | Document

## Detailed Description

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup.

The only delimiter that is recognized in a CDATA section is the "]]&gt;" string that ends the CDATA section. CDATA sections can not be nested. The primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

The `DOMString` attribute of the `Text` node holds the text that is contained by the CDATA section. Note that this may contain characters that need to be escaped outside of CDATA sections and that, depending on the character encoding ("charset") chosen for serialization, it may be impossible to write out some characters as part of a CDATA section.

The `CDATASection` interface inherits the `CharacterData` interface through the `Text` interface. Adjacent `CDATASections` nodes are not merged by use of the Element.normalize() method.

Definition at line 66 of file dom_xml.h.

The documentation for this class was generated from the following files:

- dom_xml.h
- dom_xml.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:49 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003